====== inet-3.x ======

2017-10-02  ------ inet-3.6.2 released ------

2017-09-29  Levente Mészáros

	802.11: Removed expected access time from Contention display string.

2017-08-11  Raphael Riebl

	Edcaf: fix aifs calculation for customised aifsn

2017-07-06  ------ inet-3.6.1 released ------

2017-06-09  ------ inet-3.6.0 released ------

2017-02-20  ------ inet-3.5.0 released ------

2017-01-15  xiabin

	typo: s/wirless/wireless

2016-10-20  Rudolf Hornig

	Refactoring: removed compatibility macros required for OMNeT++ 4.x builds
	+ warning fixes

2016-09-22  Zoltan Bojthe

	omnetpp5: add/use refreshDisplay()

2016-07-20  Zoltan Bojthe

	omnetpp5: replace deprecated cQueue functions: operator(), length(),
	empty()

2016-06-15  ------ inet-3.4.0 released ------

2016-06-01  ------ inet-3.3.0 released ------

2016-04-06  ------ inet-3.2.4 released ------

2016-03-16  ------ inet-3.2.3 released ------

2016-03-11  ------ inet-3.2.2 released ------

2016-01-21  ------ inet-3.2.1 released ------

2015-12-16  ------ inet-3.2.0 released ------

2015-12-09  Zoltan Bojthe

	The new, modular 802.11 implementation was made the default one:
	- Existing "mac" folder was renamed to "oldmac, and "newmac" was
	  renamed to "mac".
	- A similar change was applied to the module names too:
	  Ieee80211Mac -> Ieee80211Mac, Ieee80211NewMac -> Ieee80211Mac.

2015-10-26  ------ inet-3.1.1 released ------

2015-10-15  ------ inet-3.1.0 released ------

2015-06-22  ------ inet-3.0.0 released ------

2015-05-13  ------ inet-2.99.1 released ------

2014-11-07  ------ inet-2.99.0 released ------

2014-09-18  Andras Varga

	Moved all sources under the src/inet directory, so that all #include
	statements begin with "inet/". The motivation is to rule out potential
	filename clashes when multiple model frameworks are used together.

	HINT: You can use the "opp_githist" command in inet/_scripts to find
	all previous locations of the sources in this directory, and to view
	the full history in gitk. Normal invocations of gitk can only show
	file history back to the most recent move operation.

2014-07-30  Andras Varga

	Changes on the inet-3.x branch so far:

	Code formatting (Zoltan Bojthe)
	- using uncrustify, see _scripts/reformat/*
	- common style for header guards

	Namespace (Zoltan Bojthe, Zsolt Prontvai)
	- code has been moved into the inet namespace

	Init stages (Zoltan Bojthe, Andras Varga)
	- init stages: reorganized by layers

	Signals (Zoltan Bojthe)
	- replace INotifiable and NotificationBoard by signals for
	  publish/subscribe communication

	Logging (Zoltan Bojthe, Benjamin Seregi)
	- EV log statements revised and categorized: EV_ERROR, EV_WARN,
	  EV_INFO, EV_DETAIL, EV_DEBUG, EV_TRACE

====== inet-2.x ======

2015-03-04  ------ inet-2.6 released ------

2014-11-07  ------ inet-2.5.1 released ------

2014-10-29  ------ inet-2.5.0 released ------

2014-06-12  ------ inet-2.4.0 released ------

2014-03-19  ------ inet-2.3.0 released ------

2014-01-07  Zoltan Bojthe

	added/fixed @signal declarations, fixed type of emitted values

2013-01-17  Zoltan Bojthe

	ethernet: added EtherFrame.h

2013-11-29  Levente Meszaros

	Ieee80211: send interface ID in notifications

2013-11-15  Rudolf Hornig

	802.11mac: fixed missing default bitrate values. Changed the default
	bitrate to 1Mbps according to spec.

	Fingerprints updated.

2013-11-13  Rudolf Hornig

	Ieee802.11: fix for controlBitrate parameter.

2013-09-20  Andras Varga

	ev->EV and related OMNeT++ 5.0 logging compatible fixes

2013-08-22  ------ inet-2.2.0 released ------

2013-07-29  Zoltan Bojthe

	MACBase and it descendants: added clearQueue() for clear outgoing queue
	at CRASH operation

2013-07-04  Zoltan Bojthe

	- Ieee80211Mac: optimizations: use SIMTIME_ZERO instead of 0, use
	  simtime_t instead of double
	- WifiMode: fixed return value calculation - uses float constants instead
	  integer
	- Ieee80211Mac: logState(): optimised, spacing fixes in output format
	- fixed compiler warning: signed/unsigned comparison; moved function body
	  to .cc

2013-06-19  Zoltan Bojthe

	- Ieee80211MgmtAP: fixed the undisposed object problem
	- Ieee80211Mgmt*: added lifecycle support
	- Ieee80211MgmtAP: schedule timer at initialize stage 1

2013-06-11  Zoltan Bojthe

	- 802.11: removed experimental Etx code
	- 802.11 mgmt: decapsulate() moved to specific mgmt classes from MgmtBase

2013-05-15  Alfonso Ariza Quintana - takeover from INETMANET

	- fix: erroneous behaviour in Ieee802.11 mac (do not change
	  backoff if the retry counter is 0)
	- removed fixFSM parameter
	- changed the default MTU size to 2304bytes for 802.11 MAC
	- 802.11 mgmt: fix a problem with the Ieee802Ctrl sender address in ad-hoc
	  mode
	- 802.11 radio: Fixed wrong speed calculation in BerTable calculation. Fixed
  	  error when computing the bit error rate

2013-04-29  Zoltan Bojthe

	Ieee80211RadioModel: removed unused uninitialized variables
	these were used in EV out only

2013-04-09  Andras Varga

	Introduced MACBase (INotifiable and ILifecycle), all MACs
	adapted to it

2013-03-18  Zoltan Bojthe

	ieee80211Mac: added signals, statistics

2013-03-12  Zoltan Bojthe

	linklayer: moved WirelessMacBase to common folder

	this class will be shared by:
	 - IdealWirelessMac module in src/linklayer/idealwireless
	 - Ieee80211Mac module in src/linklayer/ieee80211/mac

2013-03-01  Zoltan Bojthe

	WirelessMacBase: bugfixes

	- handleCommand() should handle only commands from upper layer
	- handleLowerMsg() should handle only packets from lower layer
	- throws error on unhandled messages

2013-02-20  Andras Varga

	const fixes (in OMNeT++ 5.0, check_and_cast<> no longer silently
	discards const modifier)

	TODO maybe introduce a check_and_const_cast<> macro as shortcut for
	const_cast<T*>(check_and_cast<const T*>(p)) ?

2013-02-20  Andras Varga

	const fixes (in OMNeT++ 5.0, check_and_cast<> no longer silently
	discards const modifier)

2013-01-30  ------ inet-2.1.0 released ------

2012-08-07  ------ inet-2.0.0 released ------

2012-08-04  Rudolf Hornig

	The "bitrate" parameter now has a default value: it is
	11Mbps for 802.11b, 27Mbps for 802.11p and 54Mbps for
	802.11g and 802.11a. (i.e. the default bitrate depends
	on the opMode parameter)

2012-08-02  Zoltan Bojthe

	Added new bitrate parameter to NIC. The Radio and MAC uses
	this parameter to set their own bitrate parameters.

2012-07-19  Zoltan Bojthe

	Bugfix for ieee80211:
	Packets in 'g' mode with 11Mbps or 12Mbps bitrates were
	using incorrect air time. Some calculations in 'b' mode
	was wrong too, because these sometimes also use table of
	'g' mode. Two values were swapped in the bitrate tables.

2012-06-29  Alfonso Ariza Quintana Quintana

	Implemented duplicate frame filtering in promiscuous mode.
	(Takeover from INETMANET)

	It is now possible to set the bitrate directly in PhyControlInfo
	so that the given frame will be transmitted with that bitrate
	independent of the MAC/Radio configuration.

2012-06-28  Zoltan Bojthe

	The convertToEther parameter morphed into encapDecap
	tri-state enum string parameter in access point management
	modules. Conversion of packets to/from higher layer depends:
	- "true": encapsulate/decapsulate
	- "false": no conversion
	- "eth": convert to/from EtherFrame

	Fixed issue where etherType was not set in Ieee802Ctrl
	when the management module decapsulated the message.

2012-06-25  ------ inet-1.99.5 released ------

2012-06-08  Rudolf Hornig

	Takover from INETMANET-2.0 @ 7fb431b (minor bugfixes)
	All files are synced. The following features were omitted:
	MULTIQUEUES, HWMP and MESH networking related code.

2012-03-20  ------ inet-1.99.4 released ------

2012-02-24  ------ inet-1.99.3 released ------

2012-02-11  Rudolf Hornig

	Takeover from INETMANET @ fff5dfd

	ChangeLog for the mac, radio and mgmt for further details.

2011-11-18  ------ INET-1.99.2 released ------

2011-09-14  Zoltan Bojthe

	bug #361: Ieee80211MgmtSTA::initialize error

	The Ieee80211MgmtSTA needs to initialize at stage 1 because
	ChannelControl initializes numChannels at stage 0.

2011-11-10  Zoltan Bojthe

	fixes for bug #190 by Alfonso Ariza Quintana: 802.11 STA nodes abort the
	simulation

	If the STA node is not associated to an AP, it will send a packet with an
	invalid address to the mac and the mac will stop the simulation. It's
	necessary to modify the files Ieee80211STA.cc and Ieee80211STASimple.cc

	Copied changes from bugreport and from inetmanet.

	In Ieee80211MgmtSTA, I removed the old solution, and inserted new
	solution from manet.

2011-07-20  Levente Meszaros

	Renamed lowergateIn to lowerLayerIn and lowergateOut to lowerLayerOut.
	Renamed uppergateIn to upperLayerIn and uppergateOut to upperLayerOut.

2011-05-30  ------ INET-1.99.1 released ------

2011-04-28  Rudolf Hornig

	Added Mesh network support. Use Ieee80211NicMesh

2011-04-15  Rudolf Hornig

	Added new ieee802.11 model from INETMANET, supporting a,b,g,p modes.
	Use Ieee80211NewNic

2011-04-08  Rudolf Hornig

	Added support for optional submodules (Mgmt, hooks) in Ieee80211Nic.

2011-04-05  Rudolf Hornig

	Radio refactoring. Removed abstract baseclass. Instead of overriding
	virtual methods, there are parameters now to specify propagation and
	radio model. Removed different Ieee802.11 wireless NICs. Only Ieee80211
	remained and the mgmtType parameter can be used to configure the NIC.
	Simplifications in radio Ieee80211module. Added multiradio example.

2011-03-08  Rudolf Hornig

	Separated mf80211, ieee80211 and mobility feature and
	mf80211 and iee80211 can be compiled independently

2011-03-03  ------ INET-1.99.0 released ------

2011-03-01  Rudolf Hornig

	Interfaces renamed to start with I.

2011-01-05  Zoltan Bojthe

	ieee80211: mgmt AP: reset authentication status, when starting a new
	auth sequence

2010-12-21  Zoltan Bojthe

	ieee80211MgmtSTA: bugfix: drop higher layer frames, when STA is not
	associated

2010-09-30  Andras Varga

	introduced a utility function for interface name creation

2010-12-09  Zoltan Bojthe

	ieee802.11: using ieee data frame with SNAP
	for transmit original EtherType in 802.11 packet

2010-12-09  Zoltan Bojthe

	Bugfix: Ieee80211MgmtAP: Send broadcast packets, don't drop it

2010-11-30  Zoltan Bojthe

	using constant, not a number.
	get* and is* functions are const now
	add and use header-length constants
	Delete stored objects in destructor. (undisposed objects bug)

2010-03-05  Andras Varga

	@statistic: added missing 'vector' recording mode

2010-06-24  Zoltan Bojthe

	Signals for statistics recording

2009-07-18  Andras Varga

	Radio changed into a moduleinterface as it was originally intended

2009-07-17  Levente Meszaros

	Added labels to gates to so that the graphical editor can match them
	when the user creates a connection:

	@labels(Ieee80211Frame);  @labels(AirFrame);

2009-03-25  ------ INET-20090325 released ------

2008-01-01..2009-03-25  Andras Varga, Rudolf Hornig

	Porting of INET to OMNeT++ 4.0, and some general face lift:
	* better directory structure (names changed to lowercase; moved sources
	  under src/; better names, e.g. networkinterfaces -> linklayer)
	* build system to use a deep makefile
	* updated the C++ code for the 4.0 API (follow name changes; use
	  int64-based simtime_t; use cPacket; etc.)
	* NED files converted to 4.0 syntax
	* make use of new features in NED files (module interfaces, inout
	  gates, @unit, etc.)

2006-05-04  Andras Varga

	Checked in the new MAC model written by Levente Meszaros;
	see mac/ChangeLog for details.

2006-05-02  Andras Varga

	Started implementing infrastructure mode for 802.11;
	see mgmt/ChangeLog for details.

2005-08-04  Andras Varga

	Added placeholder for 802.11 infrastructure mode implementation;
	see mgmt/ChangeLog for details.

	If you are interested in the early history of the 802.11 code,
	change to the project root and type

	$ gitk -- NetworkInterfaces/Ieee80211 \
	    INET/src/networkinterfaces/ieee80211 INET/src/linklayer/ieee80211
